<template>
  <header id="masthead" role="banner" style="position: absolute; top:0; width: 100%; z-index: 999999;">
    <div class="logos">
      <div class="sytner mob-hide">
        <router-link :to="{ path: '/' }">
          <span></span>
        </router-link>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 10" preserveAspectRatio="none">
          <polygon points="100 0 100 10 0 10" />
        </svg>
      </div>
      <div class="club_title">
        <router-link :to="{ path: '/' }">
          <span class="mob-hide">{{header.title.title1}} </span>{{header.title.title2}}
        </router-link>
      </div>
      <div class="brand_logo">
        <router-link :to="{ path: '/' }">
          <span></span>
        </router-link>
      </div>
    </div>
    <div class="pos-f-t">
      <nav class="navbar" style="background-color: rgba(255, 255, 255, 0.70);">
        <span class="welcome">
          <span class="mob-hide">{{header.welcome.mob_hide}}</span>
          <span class="desktop-hide">{{header.welcome.desktop_hide}}</span>
        </span>
        <span class="mob-hide" v-bind:class="`news${news.id}`" v-for="news of header.news" :key="news.id">{{news.title}}</span>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarToggleExternalContent"
          aria-controls="navbarToggleExternalContent" aria-expanded="false" aria-label="Toggle navigation">
          <svg>
            <polygon points="20,0 20,41 0,41" />
          </svg>
          <div class="menu-word mob-hide">MENU&nbsp;</div>
          <div class="menu-icon">
            <img src="/static/images/menu_icon.svg" alt="menu" />
          </div>
        </button>
        <div class="collapse" id="navbarToggleExternalContent">
          <span v-for="menu in header.menus" class="menu-item" :key="menu.id">
            <router-link :to="{ name: menu.routerName}" >
              <a >
                {{menu.name}} </a>
            </router-link>
            <!--<a href="" :to="{ name: menu.routerName }" > {{menu.name}} </a>-->
          </span>
          <!--div class="account" @click="gotoLogin"></div-->
          <span class="menu-item profile"><router-link :to="{ path: '/login'}" ></router-link></span>
        </div>
      </nav>
    </div>
  </header>
</template>

<script>
  import { mapGetters } from 'vuex';
  export default {
    computed: {
      ...mapGetters({
        header: 'getHeader'
      })
    },
    data () {
      return {
        // header: this.$store.getters.getHeader(),
      }
    },
    methods: {
      gotoLogin() {
        this.$router.push('/login');
      },
    },
    mounted() {
    },
  }
</script>